import Func from "@/Engine/ECS/Function";
export enum FuncProjectSelectionState {
  idle,
}

export class FuncProjectSelection extends Func<FuncProjectSelectionState>{
  constructor(name: string) {
    super(name);
    super.initStates(sm => {
      sm.addState(FuncProjectSelectionState.idle, this.onIdleStateIn, null, this.onIdleStateExit);
    })
  }
  onIdleStateIn(): void {

  }
  onIdleStateExit(): void {

  }
}